Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Debug_Attributes_Builder Class Reference

This class prints out Attribute definitions for debugging purpose. More...

`#include "parser/debug_validator/Debug_Attributes_Builder.h"`

Inheritance diagram for ACEXML_Debug_Attributes_Builder:

[legend]
Collaboration diagram for ACEXML_Debug_Attributes_Builder:

[legend]
List of all members.

## Public Methods
| ACEXML_Debug_Attributes_Builder ()
virtual | ~ACEXML_Debug_Attributes_Builder ()
virtual int | setElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
| Set the element name that the attribute builder applies. More...
virtual ACEXML_Attribute_Def_Builder * | getAttribute_Def_Builder ()
| Acquire an Attribute_Builder. More...
virtual int | insertAttribute (ACEXML_Attribute_Def_Builder *def ACEXML_ENV_ARG_DECL)
| Add a definition for one attribute. More...
virtual void | dump (void)
| Dump the content of the attribute definition. More...
## Protected Attributes
ACEXML_String | element_name_
| The name of the element type these attributes applied. More...
ACEXML_ATT_MAP | attributes_
| Collection of attributes. More...

## Detailed Description

This class prints out Attribute definitions for debugging purpose.

## Constructor & Destructor Documentation

ACEXML_Debug_Attributes_Builder::ACEXML_Debug_Attributes_Builder | ( |  | ) |

ACEXML_Debug_Attributes_Builder::~ACEXML_Debug_Attributes_Builder | ( |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_Debug_Attributes_Builder::dump | ( | void |  | ) | `[virtual]`

| Dump the content of the attribute definition. Reimplemented from ACEXML_Attributes_Def_Builder.

ACEXML_Attribute_Def_Builder * ACEXML_Debug_Attributes_Builder::getAttribute_Def_Builder | ( |  | ) | `[virtual]`

| Acquire an Attribute_Builder. Reimplemented from ACEXML_Attributes_Def_Builder.

int ACEXML_Debug_Attributes_Builder::insertAttribute | ( | ACEXML_Attribute_Def_Builder *def | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Add a definition for one attribute. Reimplemented from ACEXML_Attributes_Def_Builder.

int ACEXML_Debug_Attributes_Builder::setElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

  | Set the element name that the attribute builder applies. Return values:
  0 | if valid, -1 otherwise.
Reimplemented from ACEXML_Attributes_Def_Builder.

## Member Data Documentation

ACEXML_ATT_MAP ACEXML_Debug_Attributes_Builder::attributes_`[protected]`

| Collection of attributes.

ACEXML_String ACEXML_Debug_Attributes_Builder::element_name_`[protected]`

| The name of the element type these attributes applied.

The documentation for this class was generated from the following files:

- Debug_Attributes_Builder.h
- Debug_Attributes_Builder.cpp